Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.httptool
Class ServeManager

    java.lang.Object
      things.thinger.service.httptool.ServeManager

    public class ServeManager

extends java.lang.Object

A serve manager.

Version:
  1.0

  Version History

      EPG - Initial - 20 NOV 07

Author:
  Erich P. Gatejen

Nested Class Summary
`class` | `ServeManager.FileType` A File Type.

Constructor Summary
`ServeManager()` Constructor.

Method Summary
`ServeFile` | `get(java.lang.String path)` Get the serve file that matches this path
`void` | `init(SystemInterface si)` Initialize the manager.
`java.lang.String` | `lookupExtension(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServeManager

    public ServeManager()
                 throws java.lang.Throwable

  Constructor. Makes good for template work.

  Throws:
    `java.lang.Throwable` - for type mapping error. Making this Throwable instead of error because eventually it'll be a configurable map.

Method Detail

### init

    public void init(SystemInterface si)
              throws ThingsException

  Initialize the manager. This will be called by the system, so there is no need to do it yourself.

  Throws:
    `ThingsException` - by the init_chain if applicable. The base will never throw it.

### get

    public ServeFile get(java.lang.String path)
                  throws java.lang.Throwable

  Get the serve file that matches this path

  Parameters:
    `path` - the path.
  Returns:
    The file or null if there is no match.
  Throws:
    `java.lang.Throwable`

### lookupExtension

    public java.lang.String lookupExtension(java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.